MESG(1)

BEZEICHNUNG
mesg - Nachrichten von anderen Benutzern anzeigen (oder nicht)

ÜBERSICHT
mesg [Option] [n|y]

BESCHREIBUNG
Das Dienstprogramm mesg wird von einem Benutzer aufgerufen, um den Schreibzugriff anderer auf das Terminal zu steuern, das mit der Standardfehlerausgabe verknüpft ist. Falls der Schreibzugriff gestattet wird, dann können Programme wie talk(1) und write(1) Nachrichten im Terminal anzeigen.

Traditionell ist der Schreibzugriff standardmäßig erlaubt. Als jedoch diverse Sicherheitsaspekte in das Bewusstsein der Benutzer rückten, ergab sich der Trend, den Schreibzugriff standardmäßig zu unterbinden, zumindest für die primäre Anmelde-Shell. Um sicherzustellen, dass Ihre TTYs nach Ihren Wünschen gesetzt sind, sollte mesg in Ihren Anmeldeskripten ausgeführt werden.

Das Dienstprogramm mesg beendet sich stillschweigend mit dem Fehlerstatus 2, falls sich die aktuelle Fehlerausgabe nicht auf ein Terminal bezieht. In diesem Fall ist die Ausführung von mesg sinnlos. Die Befehlszeilenoption --verbose erzwingt, dass Mesg eine Warnung in diesem Fall ausgibt. Dieses Verhalten wurde in Version 2.33 hinzugefügt.

ARGUMENTE

n   unterbindet Nachrichten.

y   erlaubt die Anzeige von Nachrichten.

Falls keine Argumente angegeben sind, zeigt mesg den aktuellen Nachrichtenstatus im Fehlerkanal der Standardausgabe an.

OPTIONEN

-v, --verbose
    erklärt, was geschieht.

-V, --version
    zeigt Versionsinformationen an und beendet das Programm.

-h, --help
    zeigt einen Hilfetext an und beendet das Programm.

EXIT-STATUS
Das Dienstprogramm mesg gibt die folgenden Rückgabewerte aus:

    0   Nachrichten sind erlaubt.

    1   Nachrichten sind nicht erlaubt.

    >1  Ein Fehler ist aufgetreten.

DATEIEN
/dev/[pt]ty[pq]?

SIEHE AUCH
login(1), talk(1), write(1), wall(1), xterm(1)

GESCHICHTE
Ein mesg-Befehl erschien in Version 6 von AT&T UNIX.

VERFÜGBARKEIT
Der Befehl »mesg« ist Teil des Pakets util-linux, welches auf https://www.kernel.org/pub/linux/utils/util-linux/ verfügbar ist.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> und Helge Kreutzmann <debian@helgefjell.de> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.